## Pipelines RPM installer

### Packaging

- We're creating a `.rpm` package for the pipelines installer using `rpmbuild` utility

### Workflow

- Step 1: Create the tarfile with installer source code and correct release version
```
$ rsync -a \
    --human-readable \
    --exclude ".git" \
    --exclude "pipelines.yml" \
    --exclude "build" \
    --exclude "node_modules" \
    <installer_dir> \
    /tmp/installer
$ cd /tmp && tar -cvzf pipelines-<release>.tar.gz installer
    ```
- copy the `installer-<release>.tar.gz` to `<installer_dir>/build/rpm`
- RUN `docker build -t docker.jfrog.io/pipelines-rpmpkg:master .`
- Run `docker run -e RELEASE_VERSION=<release> -v $PWD:/opt/jfrog/pipelines/build/rpm docker.jfrog.io/pipelines-rpmpkg:master` to build the pipelines rpm file
- Once completed, this will be placed a `pipelines-<release>.rpm` file in current directory
