#!/bin/bash -e

SCRIPTS_PATH="$1"
UTIL_FILE_PATH="$SCRIPTS_PATH/build/ci/pipelines_docker_buildx_util.sh"

source ${UTIL_FILE_PATH}

__build_and_publish_image() {
  __log_message "Building Docker image for $IMG_NAME"

  __common_steps

  __log_message "Building docker image"
  local installer_image="$IMG_NAME:$IMG_TAG"

  docker buildx build --platform $JFROG_IMAGE_BUILD_ARCH \
          -t $installer_image \
          --metadata-file=build-metadata --push . \
          || __error_exit "Failed building Docker image $installer_image"
  
  __publish_multiarch_image_buildinfo
}

__common_validations
__build_and_publish_image