#!/bin/bash -e

if [[ $# -gt 0 ]]; then
  UTIL="$1"
  echo "$UTIL"
  case $UTIL in
    CreateUser)
      shift
      EXEC_SCRIPT=createUser.js node scripts/exec.js
      ;;
    CreateProvider)
      shift
      EXEC_SCRIPT=createProvider.js node scripts/exec.js
      ;;
    CreateProject)
      shift
      EXEC_SCRIPT=createProject.js node scripts/exec.js
      ;;
    CreateBuildIntegration)
      shift
      EXEC_SCRIPT=createBuildIntegration.js node scripts/exec.js
      ;;
    CreateDynamicNodePool)
      shift
      EXEC_SCRIPT=createDynamicNodePool.js node scripts/exec.js
      ;;
    CreateInternalPipelineSource)
      shift
      EXEC_SCRIPT=createInternalPipelineSource.js node scripts/exec.js
      ;;
    CreateService)
      shift
      EXEC_SCRIPT=createService.js EXEC_SCRIPT_ARGS=$EXEC_SCRIPT_ARGS node scripts/exec.js
      ;;
    UpdateDynamicNodePools)
      shift
      EXEC_SCRIPT=updateDynamicNodePools.js node scripts/exec.js
      ;;
    Decrypt)
      shift
      CALL_UTIL=Decrypt EXEC_SCRIPT_ARGS=$EXEC_SCRIPT_ARGS node scripts/lib/utils.js
      ;;
    PingArtifactory)
      shift
      CALL_UTIL=PingArtifactory node scripts/lib/utils.js
      ;;
    ValidateLicenses)
      shift
      CALL_UTIL=ValidateLicenses node scripts/lib/utils.js
      ;;
    GetServiceID)
      shift
      CALL_UTIL=GetServiceID node scripts/lib/utils.js
      ;;
    GetProxies)
      shift
      CALL_UTIL=GetProxies node scripts/lib/utils.js
      ;;
    GetMailserverConfig)
      shift
      CALL_UTIL=GetMailserverConfig node scripts/lib/utils.js
      ;;
    *)
      echo "Invalid util: $UTIL"
      exit 1
      ;;
  esac
else
  echo "Invalid or no util provided"
  exit 1
fi
