#!/bin/bash
set -e
set -o pipefail

__exec_all() {
  log_proc_marker "Initializing migration"
  export DBCONNECTIONSTRING="${PIPELINES_SHARED_DB_CONNECTIONSTRING}"
  export PIPELINEVERSION="${PIPELINES_CORE_CONTROLPLANEVERSION}"
  log_proc_marker "INSTALLER_BIN $INSTALLER_BIN"
  node $JF_PIPELINES_HOME/installer/scripts/dbMigrations.js "$SCHEMA_DIR" "pre_upgrade tables relations data post_upgrade" "$INSTALLER_BIN"
}

exec_db_task() {
  local db_task="$@"
  case $db_task in
    all)
      log_proc_msg "Initializing migration"
      __exec_all
      ;;
    *)
      log_proc_error "Invalid db task: $db_task"
      exit 1
      ;;
  esac
}
