#!/bin/bash
set -e
set -o pipefail

__create_deb_archive() {
  log_proc_msg "Creating debian archive"
  source $BUILD_DIR/debian/build.sh
}

__parse_args() {
  if [[ $# -gt 0 ]]; then
    while [[ $# -gt 0 ]]; do
      ARGUMENT="$1"
      case $ARGUMENT in
        --deb)
          __create_deb_archive
          shift
          ;;
        --rpm)
          log_proc_msg "Creating an rpm archive (WIP)"
          shift
          ;;
        *)
          echo "Invalid option: $ARGUMENT"
          print_help
          ;;
      esac
    done
  fi
}

main() {
  __parse_args "$@"

}

main "$@"
