#!/bin/bash
set -e
set -o pipefail

# Logger methods ##########################################
###########################################################
log_proc_marker() {
  local prompt="$@"
  echo ""
  echo "# $(date +"%T") #######################################"
  echo "# $prompt"
  echo "##################################################"
}

log_proc_msg() {
  local message="$@"
  echo "|___ $@"
}

# End Logger methods ######################################
###########################################################

export COMPONENT="db"
export DB_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export LOGS_FILE="$LOGS_DIR/$COMPONENT.log"

## Write logs of this script to component specific file
exec &> >(tee -a "$LOGS_FILE")

__validate_db_envs() {
  log_proc_msg "Creating master integrations table"
  log_proc_msg "DB_CONFIG_DIR: $DB_CONFIG_DIR"
  log_proc_msg "LOGS_FILE:$LOGS_FILE"
}
__upsert_internal_pipeline_source() {
  log_proc_msg "Upserting the service user identity in db"
  local service_user_identity_location="$DB_CONFIG_DIR/internal_pipeline_source.sql"
  local upsert_cmd="psql $DBCONNECTIONSTRING \
    -v ON_ERROR_STOP=1 \
    -f $service_user_identity_location"

  eval "$upsert_cmd"
}

main() {
  log_proc_marker "Adding internal pipeline source"
  __validate_db_envs
  __upsert_internal_pipeline_source
}

main
