#!/bin/bash
set -e
set -o pipefail

export COMPONENT="observability"
export OBSERVABILITY_DATA_DIR="$RUNTIME_DIR/$COMPONENT/data"
export OBSERVABILITY_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export PIPELINES_SHARED_OBSERVABILITY_IMAGE="$PIPELINES_CORE_REGISTRYURL/$PIPELINES_SHARED_OBSERVABILITY_IMAGE:$PIPELINES_CORE_CONTROLPLANEVERSION"
export LOGS_FILE="$LOGS_DIR/$COMPONENT.log"

exec &> >(tee -a "$LOGS_FILE")

__validate_observability_envs() {
  log_proc_msg "PIPELINES_SHARED_OBSERVABILITY_IMAGE: $PIPELINES_SHARED_OBSERVABILITY_IMAGE" 
  log_proc_msg "Initializing Observability environment variables"
  log_proc_msg "SCRIPTS_DIR: $SCRIPTS_DIR"
  log_proc_msg "OBSERVABILITY_CONFIG_DIR: $OBSERVABILITY_CONFIG_DIR"
  log_proc_msg "PIPELINES_SHARED_OBSERVABILITY_INTERNALPORT: $PIPELINES_SHARED_OBSERVABILITY_INTERNALPORT"
}

__create_dirs() {
  mkdir -p $OBSERVABILITY_CONFIG_DIR
}

__install_observability_compose() {
  source "$INSTALLER_SCRIPTS_DIR/compose/installObservability.sh"
}

main() {
  log_proc_msg "Installing observability"
  __validate_observability_envs
  __create_dirs
  __install_observability_compose
}

main
