'use strict';

var self = systemYamlHandler;
module.exports = self;

var yaml = require('js-yaml');
var fs = require('fs');
var _ = require('underscore');

function systemYamlHandler() {}

systemYamlHandler.get = function (cb) {
  var err;
  var json = {};
  try {
    json = yaml.safeLoad(fs.readFileSync(global.config.installerConfig,
      'utf8'));
  } catch (e) {
    logger.error(e);
    err = e;
  }

  if (_.isEmpty(json))
    err = 'system.yaml is empty';

  return cb(err, json);
};

systemYamlHandler.put = function (data, cb) {
  var err;

  try {
    fs.writeFileSync(global.config.installerConfig, yaml.safeDump(data));
  } catch (e) {
    logger.error(e);
    err = e;
  }
  return cb(err, data);
};
