#!/bin/bash

set -e
set -o pipefail

export COMPONENT="db"
export DB_DATA_DIR="$RUNTIME_DIR/$COMPONENT/data"
export DB_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export DB_COMPOSE="$DB_CONFIG_DIR/db_compose.yml"

__start_db_compose() {
  log_proc_msg "Starting database container"
  docker-compose \
    --file $DB_COMPOSE down || true

  docker-compose \
    --file $DB_COMPOSE \
    up \
    --detach $COMPONENT
	# wait for db to boot up
	sleep 10
}

main() {
  __start_db_compose
  test_db_connection
}

main
