#!/bin/bash
set -e
set -o pipefail

export COMPONENT="msg"
export MSG_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export MSG_COMPOSE="$MSG_CONFIG_DIR/msg_compose.yml"

__check_msg() {
  log_proc_msg "Checking rabbitmq container status on: $PIPELINES_SHARED_MSG_IP:$PIPELINES_SHARED_MSG_PORT"

  check_service_connection "$PIPELINES_SHARED_MSG_IP" "$PIPELINES_SHARED_MSG_PORT" "$COMPONENT"
  check_service_connection "$PIPELINES_SHARED_MSG_IP" "$PIPELINES_SHARED_MSG_ADMINPORT" "MSG_ADMIN"
}

__restart_msg_compose() {
  log_proc_msg "Running rabbitmq container"
  docker-compose \
    --file $MSG_COMPOSE down || true

  docker-compose \
    --file $MSG_COMPOSE \
    up \
    --detach $COMPONENT

  log_proc_msg "RabbitMQ container successfully running"
}

main() {
  log_proc_marker "Restarting Msg"
  __restart_msg_compose
  __check_msg
}

main
