#!/bin/bash
set -e
set -o pipefail

export COMPONENT="observability"
export OBSERVABILITY_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export OBSERVABILITY_COMPOSE="$OBSERVABILITY_CONFIG_DIR/observability_compose.yml"

__restart_observability_compose() {
  log_proc_msg "Restarting observability container"
  docker-compose \
    --file $OBSERVABILITY_COMPOSE down || true

  docker-compose \
    --file $OBSERVABILITY_COMPOSE  \
    up \
    --detach $COMPONENT

  log_proc_msg "Observability container successfully running"
}

__check_observability() {
  sleep 5
}

main() {
  log_proc_marker "Restarting Observability"
  __restart_observability_compose
  __check_observability
}

main
