#!/bin/bash
set -e
set -o pipefail

export COMPONENT="redis"
export REDIS_CONFIG_DIR="$CONFIG_DIR/$COMPONENT"
export REDIS_COMPOSE="$REDIS_CONFIG_DIR/redis_compose.yml"

__check_redis() {
  log_proc_msg "Checking redis container status on: $PIPELINES_SHARED_REDIS_IP:$PIPELINES_SHARED_REDIS_PORT"
  check_service_connection "$PIPELINES_SHARED_REDIS_IP" "$PIPELINES_SHARED_REDIS_PORT" "$COMPONENT"
}

__restart_redis_compose() {
  log_proc_msg "Running redis container"
  docker-compose \
    --file $REDIS_COMPOSE down || true

  docker-compose \
    --file $REDIS_COMPOSE \
    up \
    --detach $COMPONENT

  log_proc_msg "Redis container successfully running"
}

main() {
  log_proc_marker "Restarting Redis"
  __restart_redis_compose
  __check_redis
}

main
