do $$
  begin
    if exists (select 1 from information_schema.columns where table_name = 'pipelines' and column_name = 'latestCompletedRunId') then
      if not exists(select 1 from pipelines where "latestSuccessfulRunId" is not null or "latestFailedRunId" is not null or "latestErrorRunId" is not null or 
        "latestCancelledRunId" is not null or "latestUnstableRunId" is not null or "latestSkippedRunId" is not null or "latestTimedOutRunId" is not null or 
        "latestCompletedRunId" is not null limit 1) then
        -- Update pipelines latestSuccessfulRunId
        update "pipelines" set "latestSuccessfulRunId" = "r"."successRunId" from (
          SELECT "pipelineId", MAX("id") AS "successRunId" FROM "runs" where "statusCode"=4002 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestFailedRunId
        update "pipelines" set "latestFailedRunId" = "r"."failRunId" from (
          SELECT "pipelineId", MAX("id") AS "failRunId" FROM "runs" where "statusCode"=4003 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestErrorRunId
        update "pipelines" set "latestErrorRunId" = "r"."errorRunId" from (
          SELECT "pipelineId", MAX("id") AS "errorRunId" FROM "runs" where "statusCode"=4004 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestCancelledRunId
        update "pipelines" set "latestCancelledRunId" = "r"."cancelRunId" from (
          SELECT "pipelineId", MAX("id") AS "cancelRunId" FROM "runs" where "statusCode"=4006 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestUnstableRunId
        update "pipelines" set "latestUnstableRunId" = "r"."unstableRunId" from (
          SELECT "pipelineId", MAX("id") AS "unstableRunId" FROM "runs" where "statusCode"=4007 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestSkippedRunId
        update "pipelines" set "latestSkippedRunId" = "r"."skipRunId" from (
          SELECT "pipelineId", MAX("id") AS "skipRunId" FROM "runs" where "statusCode"=4008 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestTimedOutRunId
        update "pipelines" set "latestTimedOutRunId" = "r"."timeoutRunId" from (
          SELECT "pipelineId", MAX("id") AS "timeoutRunId" FROM "runs" where "statusCode"=4009 GROUP BY "pipelineId"
        ) as "r" where "r"."pipelineId" = "pipelines"."id";

        -- Update pipelines latestCompletedRunId
        update "pipelines" set "latestCompletedRunId" = "p"."latestCompRunId" from (select "id",
          (SELECT MAX("runId") from (values ("latestSkippedRunId"),("latestSuccessfulRunId"),("latestFailedRunId"),
            ("latestTimedOutRunId"),("latestUnstableRunId"),("latestErrorRunId"),("latestCancelledRunId")) AS latest("runId"))
          AS "latestCompRunId" FROM "pipelines"
        ) as "p" where "p"."id" = "pipelines"."id";
      end if;
    end if;
  end
$$
