'use strict';

module.exports = executeMigration;

var _ = require('underscore');
var util = require('util');
var async = require('async');

function executeMigration(client, callback) {
  var fileName = process.argv[1];

  var bag = {
    who: util.format('installer.migration|%s', fileName),
    client: client
  };

  async.series([
    _execute.bind(null, bag)
  ],
    function (err) {
      if (err) {
        throw new Error('Could not run migration: ' + util.inspect(err));
      } else {
        util.log(bag.who, 'Completed');
        return callback();
      }
    }
  );

}

function _execute(bag, next) {
  var who = bag.who + '|' + _execute.name;
  util.log(who, 'Inside');

  util.log('Doing some work in: ' + bag.who);

  return next();
}
