do $$
  begin
    --
    -- Name: adminViewIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'adminViews' and indexname = 'adminViewIdU') then
      CREATE UNIQUE INDEX "adminViewIdU" ON public."adminViews" USING btree ("id");
    end if;

    --
    -- Name: adminViewProjectKeyNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'adminViews' and indexname = 'adminViewProjectKeyNameU') then
      CREATE UNIQUE INDEX "adminViewProjectKeyNameU" ON public."adminViews" USING btree ("projectKey", "name");
    end if;

    --
    -- Name: adminViews_projectKey_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'adminViews_projectKey_fkey') then
      ALTER TABLE ONLY public."adminViews"
          ADD CONSTRAINT "adminViews_projectKey_fkey" FOREIGN KEY ("projectKey") REFERENCES public.projects("sourceId") ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
  end
$$
