do $$
  begin

    --
    -- Name: artifactEventIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'artifactEvents' and indexname = 'artifactEventIdU') then
      CREATE UNIQUE INDEX "artifactEventIdU" ON public."artifactEvents" USING btree (id);
    end if;

    --
    -- Name: artifactEventCodeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'artifactEvents' and indexname = 'artifactEventCodeI') then
      CREATE INDEX "artifactEventCodeI" ON public."artifactEvents" USING btree (code);
    end if;

    --
    -- Name: artifactEventArtifactResourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'artifactEvents' and indexname = 'artifactEventArtifactResourceIdI') then
      CREATE INDEX "artifactEventArtifactResourceIdI" ON public."artifactEvents" USING btree ("artifactResourceId");
    end if;

    --
    -- Name: artifactEventResourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'artifactEvents' and indexname = 'artifactEventResourceIdI') then
      CREATE INDEX "artifactEventResourceIdI" ON public."artifactEvents" USING btree ("resourceId");
    end if;

    --
    -- Name: artifactEventPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'artifactEvents' and indexname = 'artifactEventPipelineSourceIdI') then
      CREATE INDEX "artifactEventPipelineSourceIdI" ON public."artifactEvents" USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: artifactEvents_artifactResourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'artifactEvents_artifactResourceId_fkey') then
      ALTER TABLE ONLY public."artifactEvents"
          ADD CONSTRAINT "artifactEvents_artifactResourceId_fkey" FOREIGN KEY ("artifactResourceId") REFERENCES public."artifactResources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: artifactEvents_ResourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'artifactEvents_ResourceId_fkey') then
      ALTER TABLE ONLY public."artifactEvents"
          ADD CONSTRAINT "artifactEvents_ResourceId_fkey" FOREIGN KEY ("resourceId") REFERENCES public."resources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: artifactEvents_PipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'artifactEvents_PipelineSourceId_fkey') then
      ALTER TABLE ONLY public."artifactEvents"
          ADD CONSTRAINT "artifactEvents_PipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
