do $$
  begin

    --
    -- Name: buildPlaneImageIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneImages' and indexname = 'buildPlaneImageIdU') then
      CREATE UNIQUE INDEX "buildPlaneImageIdU" ON public."buildPlaneImages" USING btree ("id");
    end if;

    --
    -- Name: buildPlaneImageNameRegionOperatingSystemArchitectureMasterIntegrationIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneImages' and indexname = 'buildPlaneImageNameRegionOsArchMstIntIdU') then
      CREATE UNIQUE INDEX "buildPlaneImageNameRegionOsArchMstIntIdU" ON public."buildPlaneImages" USING btree ("name", "region", "operatingSystem", "architecture", "masterIntegrationId");
    end if;

    --
    -- Drop buildPlaneImageNameRegionImageIdU INDEX
    --

    if exists (select 1 from pg_indexes where tablename = 'buildPlaneImages' and indexname = 'buildPlaneImageNameRegionImageIdU') then
      DROP INDEX "buildPlaneImageNameRegionImageIdU";
    end if;

    --
    -- Name: buildPlaneImages_masterIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'buildPlaneImages_masterIntegrationId_fkey') then
      ALTER TABLE ONLY public."buildPlaneImages"
          ADD CONSTRAINT "buildPlaneImages_masterIntegrationId_fkey" FOREIGN KEY ("masterIntegrationId") REFERENCES public."masterIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
