do $$
  begin

    --
    -- Name: buildPlaneMessageIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneMessages' and indexname = 'buildPlaneMessageIdU') then
      CREATE UNIQUE INDEX "buildPlaneMessageIdU" ON public."buildPlaneMessages" USING btree ("id");
    end if;

    --
    -- Name: buildPlaneMessageNodePoolIdNodeIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneMessages' and indexname = 'buildPlaneMessageNodePoolIdNodeIdI') then
      CREATE INDEX "buildPlaneMessageNodePoolIdNodeIdI" ON public."buildPlaneMessages" USING btree ("nodePoolId", "nodeId");
    end if;

    --
    -- Name: buildPlaneMessageCreatedAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneMessages' and indexname = 'buildPlaneMessageCreatedAtI') then
      CREATE INDEX "buildPlaneMessageCreatedAtI" ON public."buildPlaneMessages" USING btree ("createdAt");
    end if;

    --
    -- Name: buildPlaneMessageStatusCodeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'buildPlaneMessages' and indexname = 'buildPlaneMessageStatusCodeI') then
      CREATE INDEX "buildPlaneMessageStatusCodeI" ON public."buildPlaneMessages" USING btree ("statusCode");
    end if;

  end
$$
