do $$
  begin

    --
    -- Name: deployKeysU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'deployKeys' and indexname = 'deployKeysProjectIntIdGitRepoFullNameU') then
      CREATE UNIQUE INDEX "deployKeysProjectIntIdGitRepoFullNameU" ON public."deployKeys" USING btree ("projectIntegrationId", "gitRepoFullName");
    end if;

    --
    -- Name: deployKeys_integrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'deployKeys_integrationId_fkey') then
      ALTER TABLE ONLY public."deployKeys"
          ADD CONSTRAINT "deployKeys_integrationId_fkey" FOREIGN KEY ("projectIntegrationId")
          REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: deployKeys_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'deployKeys_projectId_fkey') then
    ALTER TABLE ONLY public."deployKeys"
       ADD CONSTRAINT "deployKeys_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public."projects"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$