do $$
  begin

    --
    -- Name: disabledEntitiesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'disabledEntities' and indexname = 'disabledEntitiesIdU') then
      CREATE UNIQUE INDEX "disabledEntitiesIdU" ON public."disabledEntities" USING btree ("id");
    end if;

    --
    -- Name: disabledEntitiesProjectIdTypeNamePatternBranchPatternU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'disabledEntities' and indexname = 'disabledEntitiesProjectIdTypeNamePatternBranchPatternU') then
      CREATE UNIQUE INDEX "disabledEntitiesProjectIdTypeNamePatternBranchPatternU" ON public."disabledEntities" USING btree ("projectId", "type", "namePattern", "branchPattern");
    end if;

    --
    -- Name: disabledEntitiesProjectIdLabelU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'disabledEntities' and indexname = 'disabledEntitiesProjectIdLabelU') then
      CREATE UNIQUE INDEX "disabledEntitiesProjectIdLabelU" ON public."disabledEntities" USING btree ("projectId", "label");
    end if;

  end
$$
