do $$
  begin

    --
    -- Name: environmentVariableIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'environmentVariables' and indexname = 'environmentVariableIdU') then
      CREATE UNIQUE INDEX "environmentVariableIdU" ON public."environmentVariables" USING btree ("id");
    end if;

    --
    -- Name: environmentVariableKeyScopeProjectIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'environmentVariables' and indexname = 'environmentVariableKeyScopeProjectIdU') then
      CREATE UNIQUE INDEX "environmentVariableKeyScopeProjectIdU" ON public."environmentVariables" USING btree ("key", "scope", COALESCE("projectId", -1));
    end if;

    --
    -- Name: environmentVariableCreatedAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'environmentVariables' and indexname = 'environmentVariableCreatedAtI') then
      CREATE INDEX "environmentVariableCreatedAtI" ON public."environmentVariables" USING btree ("createdAt");
    end if;

    --
    -- Name: environmentVariableProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'environmentVariables' and indexname = 'environmentVariableProjectIdI') then
      CREATE INDEX "environmentVariableProjectIdI" ON public."environmentVariables" USING btree ("projectId");
    end if;

  end
$$
