do $$
  begin

    --
    -- Name: extensionSourcesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'extensionSources' and indexname = 'extensionSourcesIdU') then
      CREATE UNIQUE INDEX "extensionSourcesIdU" ON public."extensionSources" USING btree (id);
    end if;

    --
    -- Name: extensionSourcesRepoNameRepoBranchU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'extensionSources' and indexname = 'extensionSourcesRepoNameRepoBranchU') then
      CREATE UNIQUE INDEX "extensionSourcesRepoNameRepoBranchU" ON public."extensionSources" USING btree ("repositoryFullName", "repositoryBranch");
    end if;

    --
    -- Name: extensionSources_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'extensionSources_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public."extensionSources"
          ADD CONSTRAINT "extensionSources_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: extensionSources_lastSyncStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'extensionSources_lastSyncStatusCode_fkey') then
      ALTER TABLE ONLY public."extensionSources"
        ADD CONSTRAINT "extensionSources_lastSyncStatusCode_fkey" FOREIGN KEY ("lastSyncStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
  end
$$
