do $$
  begin

    --
    -- Name: hooksIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'hooks' and indexname = 'hooksIdU') then
      CREATE UNIQUE INDEX "hooksIdU" ON public.hooks USING btree (id);
    end if;

    --
    -- Name: hooksProjectIntegrationIdResourceTypeCodeIdentifierU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'hooks' and indexname = 'hooksProjectIntegrationIdResourceTypeCodeIdentifierU') then
      CREATE UNIQUE INDEX "hooksProjectIntegrationIdResourceTypeCodeIdentifierU" ON public.hooks USING btree ("projectIntegrationId", "resourceTypeCode", "identifierName", "identifierValue");
    end if;

    --
    -- Name: hooks_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'hooks_projectId_fkey') then
      ALTER TABLE ONLY public.hooks
          ADD CONSTRAINT "hooks_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public."projects"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: hooks_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'hooks_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public.hooks
          ADD CONSTRAINT "hooks_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: hooks_resourceTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'hooks_resourceTypeCode_fkey') then
      ALTER TABLE ONLY public.hooks
          ADD CONSTRAINT "hooks_resourceTypeCode_fkey" FOREIGN KEY ("resourceTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
