do $$
  begin

    --
    -- Name: identitiesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identities' and indexname = 'identitiesIdU') then
      CREATE UNIQUE INDEX "identitiesIdU" ON public.identities USING btree (id);
    end if;

    --
    -- Name: identitiesNameI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identities' and indexname = 'identitiesNameI') then
      CREATE INDEX "identitiesNameI" ON public."identities" USING btree ("name");
    end if;

    --
    -- Name: identitiesNameTypeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identities' and indexname = 'identitiesNameTypeU') then
      CREATE UNIQUE INDEX "identitiesNameTypeU" ON public.identities USING btree (name, type);
    end if;

    --
    -- Name: identities_type_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'identities_type_fkey') then
      ALTER TABLE ONLY public."identities"
          ADD CONSTRAINT "identities_type_fkey" FOREIGN KEY ("type") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
