do $$
  begin

    --
    -- Name: identityFavoritesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityFavorites' and indexname = 'identityFavoritesIdU') then
      CREATE UNIQUE INDEX "identityFavoritesIdU" ON public."identityFavorites" USING btree (id);
    end if;

    --
    -- Name: identityFavoritesIdentityIdObjectTypeObjectIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityFavorites' and indexname = 'identityFavoritesIdentityIdObjectTypeObjectIdU') then
      CREATE UNIQUE INDEX "identityFavoritesIdentityIdObjectTypeObjectIdU" ON public."identityFavorites" USING btree ("identityId", "objectType", "objectId");
    end if;

    --
    -- Name: identityFavorites_identityId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'identityFavorites_identityId_fkey') then
      ALTER TABLE ONLY public."identityFavorites"
          ADD CONSTRAINT "identityFavorites_identityId_fkey" FOREIGN KEY ("identityId") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
