do $$
  begin

    --
    -- Name: identityRolesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityRoles' and indexname = 'identityRolesIdU') then
      CREATE UNIQUE INDEX "identityRolesIdU" ON public."identityRoles" USING btree (id);
    end if;

    --
    -- Name: identityRolesIdentityIdRoleCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityRoles' and indexname = 'identityRolesIdentityIdRoleCodeU') then
      CREATE UNIQUE INDEX "identityRolesIdentityIdRoleCodeU" ON public."identityRoles" USING btree ("identityId", "roleCode");
    end if;

    --
    -- Name: identityRoles_identityId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'identityRoles_identityId_fkey') then
      ALTER TABLE ONLY public."identityRoles"
          ADD CONSTRAINT "identityRoles_identityId_fkey" FOREIGN KEY ("identityId") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: identityRoles_roleCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'identityRoles_roleCode_fkey') then
      ALTER TABLE ONLY public."identityRoles"
          ADD CONSTRAINT "identityRoles_roleCode_fkey" FOREIGN KEY ("roleCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
