do $$
  begin

    --
    -- Name: identityTokensIdU; Type: Index; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityTokens' and indexname = 'identityTokensIdU') then
      CREATE UNIQUE INDEX "identityTokensIdU" ON public."identityTokens" USING btree (id);
    end if;

    --
    -- Name: identityTokensTokenHashU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityTokens' and indexname = 'identityTokensTokenHashU') then
      CREATE UNIQUE INDEX "identityTokensTokenHashU" ON public."identityTokens" USING btree ("tokenHash");
    end if;

    --
    -- Name: identityTokensIdentityIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityTokens' and indexname = 'identityTokensIdentityIdI') then
      CREATE INDEX "identityTokensIdentityIdI" ON public."identityTokens" USING btree ("identityId");
    end if;

    --
    -- Name: identityTokensExpiresAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'identityTokens' and indexname = 'identityTokensExpiresAtI') then
      CREATE INDEX "identityTokensExpiresAtI" ON public."identityTokens" USING btree ("expiresAt");
    end if;

    --
    -- Name: identityTokens_identityId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'identityTokens_identityId_fkey') then
      ALTER TABLE ONLY public."identityTokens"
          ADD CONSTRAINT "identityTokens_identityId_fkey" FOREIGN KEY ("identityId") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
