do $$
  begin
    --
    -- Name: locksIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'locks' and indexname = 'locksIdU') then
      CREATE UNIQUE INDEX "locksIdU" ON public.locks USING btree (id);
    end if;

    --
    -- Name: locksNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'locks' and indexname = 'locksNameU') then
      CREATE UNIQUE INDEX "locksNameU" ON public.locks USING btree (name);
    end if;

    --
    -- Name: locks_sysServInstId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'locks_sysServInstId_fkey') then
      ALTER TABLE ONLY public.locks
          ADD CONSTRAINT "locks_sysServInstId_fkey" FOREIGN KEY ("systemServiceInstanceId") REFERENCES public."systemServiceInstances"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
