do $$
  begin

    --
    -- Name: masterIntegrationFieldsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationFields' and indexname = 'masterIntegrationFieldsIdU') then
      CREATE UNIQUE INDEX "masterIntegrationFieldsIdU" ON public."masterIntegrationFields" USING btree ("id");
    end if;

    --
    -- Name: miFieldsMiIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationFields' and indexname = 'miFieldsMiIdNameU') then
      CREATE INDEX "miFieldsMiIdNameU" ON public."masterIntegrationFields" USING btree ("masterIntegrationId", name);
    end if;

    --
    -- Name: masterIntegrationFields_masterIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationFields_masterIntegrationId_fkey') then
      ALTER TABLE ONLY public."masterIntegrationFields"
          ADD CONSTRAINT "masterIntegrationFields_masterIntegrationId_fkey" FOREIGN KEY ("masterIntegrationId") REFERENCES public."masterIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
