do $$
  begin

    --
    -- Name: masterIntegrationsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrations' and indexname = 'masterIntegrationsIdU') then
      CREATE UNIQUE INDEX "masterIntegrationsIdU" ON public."masterIntegrations" USING btree ("id");
    end if;

    --
    -- Name: mIntNameTypeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrations' and indexname = 'mIntNameTypeU') then
      CREATE INDEX "mIntNameTypeU" ON public."masterIntegrations" USING btree (name, type);
    end if;

    --
    -- Name: masterIntegrations_typeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'masterIntegrations_typeCode_fkey') then
      ALTER TABLE ONLY public."masterIntegrations"
          ADD CONSTRAINT "masterIntegrations_typeCode_fkey" FOREIGN KEY ("typeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
