do $$
  begin

    --
    -- Name: masterResourcesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterResources' and indexname = 'masterResourcesIdU') then
      CREATE UNIQUE INDEX "masterResourcesIdU" ON public."masterResources" USING btree (id);
    end if;

    --
    -- Name: masterResourcesRepoNameBranchU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'masterResources' and indexname = 'masterResourcesNamespaceNameSyntaxVersionU') then
      CREATE UNIQUE INDEX "masterResourcesNamespaceNameSyntaxVersionU" ON public."masterResources" USING btree (namespace, name, "syntaxVersion");
    end if;

    --
    -- Name: masterResources_lastSyncStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'masterResources_lastSyncStatusCode_fkey') then
      ALTER TABLE ONLY public."masterResources"
        ADD CONSTRAINT "masterResources_lastSyncStatusCode_fkey" FOREIGN KEY ("lastSyncStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: masterResourcesRepoNameBranchU; Type: INDEX; Schema: public;
    --

    DROP INDEX IF EXISTS "masterResourcesNameSyntaxVersionU";
  end
$$
