do $$
  begin

    --
    -- Name: microPipelinesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelines' and indexname = 'microPipelinesIdU') then
      CREATE UNIQUE INDEX "microPipelinesIdU" ON public."microPipelines" USING btree (id);
    end if;

    --
    -- Name: microPipelinesNameTypeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelines' and indexname = 'microPipelinesNameU') then
      CREATE UNIQUE INDEX "microPipelinesNameU" ON public."microPipelines" USING btree (name);
    end if;

    --
    -- Name: microPipelinesPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelines' and indexname = 'microPipelinesPipelineSourceIdI') then
      CREATE INDEX "microPipelinesPipelineSourceIdI" ON public."microPipelines" USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: microPipelinesPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'microPipelines' and indexname = 'microPipelinesPipelineIdI') then
      CREATE INDEX "microPipelinesPipelineIdI" ON public."microPipelines" USING btree ("pipelineId");
    end if;

    --
    -- Name: microPipelines_lastSyncStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'microPipelines_lastSyncStatusCode_fkey') then
      ALTER TABLE ONLY public."microPipelines"
        ADD CONSTRAINT "microPipelines_lastSyncStatusCode_fkey" FOREIGN KEY ("lastSyncStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;


  end
$$
