do $$
  begin

    --
    -- Name: nodeIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodeConsoles' and indexname = 'nodeIdI') then
      CREATE INDEX "nodeIdI" ON public."nodeConsoles" USING btree ("nodeId");
    end if;

    --
    -- Name: nodeConsoles_nodeId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodeConsoles_nodeId_fkey') then
      ALTER TABLE ONLY public."nodeConsoles"
          ADD CONSTRAINT "nodeConsoles_nodeId_fkey" FOREIGN KEY ("nodeId") REFERENCES public."nodes"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodeConsoles_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodeConsoles_projectId_fkey') then
      ALTER TABLE ONLY public."nodeConsoles"
          ADD CONSTRAINT "nodeConsoles_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
