do $$
  begin

    --
    -- Name: nodePoolsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodePools' and indexname = 'nodePoolsIdU') then
      CREATE UNIQUE INDEX "nodePoolsIdU" ON public."nodePools" USING btree ("id");
    end if;

    --
    -- Name: nodePoolsProjectIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodePools' and indexname = 'nodePoolsProjectIdNameU') then
      CREATE UNIQUE INDEX "nodePoolsProjectIdNameU" ON public."nodePools" USING btree ("projectId", name);
    end if;

    --
    -- Name: nodePools_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodePools_projectId_fkey') then
      ALTER TABLE ONLY public."nodePools"
          ADD CONSTRAINT "nodePools_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodePools_buildPlaneImageId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodePools_buildPlaneImageId_fkey') then
      ALTER TABLE ONLY public."nodePools"
          ADD CONSTRAINT "nodePools_buildPlaneImageId_fkey" FOREIGN KEY ("buildPlaneImageId") REFERENCES public."buildPlaneImages"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodePools_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodePools_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public."nodePools"
          ADD CONSTRAINT "nodePools_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
