do $$
  begin

    --
    -- Name: nodeStatClusNodIdRepAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodeStats' and indexname = 'nodeStatClusNodIdRepAtI') then
      CREATE INDEX "nodeStatClusNodIdRepAtI" ON public."nodeStats" USING btree ("nodeId", "reportedAt");
    end if;

    --
    -- Name: nodeStatIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodeStats' and indexname = 'nodeStatIdU') then
      CREATE UNIQUE INDEX "nodeStatIdU" ON public."nodeStats" USING btree (id);
    end if;

    --
    -- Name: nodeStats_nodeId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodeStats_nodeId_fkey') then
      ALTER TABLE ONLY public."nodeStats"
          ADD CONSTRAINT "nodeStats_nodeId_fkey" FOREIGN KEY ("nodeId") REFERENCES public.nodes(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodeStats_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodeStats_projectId_fkey') then
      ALTER TABLE ONLY public."nodeStats"
          ADD CONSTRAINT "nodeStats_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
