do $$
  begin

    --
    -- Name: nodesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodes' and indexname = 'nodesIdU') then
      CREATE UNIQUE INDEX "nodesIdU" ON public."nodes" USING btree ("id");
    end if;

    --
    -- Name: nodeProjectIdFriendlyNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodes' and indexname = 'nodeProjectIdFriendlyNameU') then
      CREATE UNIQUE INDEX "nodeProjectIdFriendlyNameU" ON public."nodes" USING btree ("friendlyName", "projectId");
    end if;

    --
    -- Name: nodeProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'nodes' and indexname = 'nodeProjectIdI') then
      CREATE INDEX "nodeProjectIdI" ON public."nodes" USING btree ("projectId");
    end if;

    --
    -- Name: nodes_nodePoolId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodes_nodePoolId_fkey') then
      ALTER TABLE ONLY public."nodes"
          ADD CONSTRAINT "nodes_nodePoolId_fkey" FOREIGN KEY ("nodePoolId") REFERENCES public."nodePools"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodes_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodes_projectId_fkey') then
      ALTER TABLE ONLY public."nodes"
          ADD CONSTRAINT "nodes_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodes_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodes_statusCode_fkey') then
      ALTER TABLE ONLY public."nodes"
          ADD CONSTRAINT "nodes_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: nodes_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'nodes_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public."nodes"
          ADD CONSTRAINT "nodes_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
