do $$
  begin

    --
    -- Name: pipelineSourceObjectPermissionsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSourceObjectPermissions' and indexname = 'pipelineSourceObjectPermissionsIdU') then
      CREATE UNIQUE INDEX "pipelineSourceObjectPermissionsIdU" ON public."pipelineSourceObjectPermissions" USING btree (id);
    end if;

    --
    -- Name: pipelineSourceObjectPermissionsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSourceObjectPermissions' and indexname = 'pipelineSourceObjectPermissionsPipelineSourceIdI') then
      CREATE INDEX "pipelineSourceObjectPermissionsPipelineSourceIdI" ON public."pipelineSourceObjectPermissions" USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: pipelineSourceObjectPermissionsObjectTypeObjectIdI; Type: INDEX; Schema: public;
    --

    if exists (select 1 from pg_indexes where tablename = 'pipelineSourceObjectPermissions' and indexname = 'pipelineSourceObjectPermissionsObjectTypeObjectIdI') then
      DROP INDEX "pipelineSourceObjectPermissionsObjectTypeObjectIdI";
    end if;

    --
    -- Name: pipelineSourceObjectPermissionsPSourceIdObjTypeObjIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSourceObjectPermissions' and indexname = 'pipelineSourceObjectPermissionsPSourceIdObjTypeObjIdU') then
      CREATE UNIQUE INDEX "pipelineSourceObjectPermissionsPSourceIdObjTypeObjIdU" ON public."pipelineSourceObjectPermissions" USING btree ("pipelineSourceId", "objectType", "objectId");
    end if;

    --
    -- Name: pipelineSourceObjectPermissions_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSourceObjectPermissions_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."pipelineSourceObjectPermissions"
          ADD CONSTRAINT "pipelineSourceObjectPermissions_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
