do $$
  begin

    --
    -- Name: pipelineStepConnectionsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsIdU') then
      CREATE UNIQUE INDEX "pipelineStepConnectionsIdU" ON public."pipelineStepConnections" USING btree ("id");
    end if;

    --
    -- Name: pipelineStepConnectionsOpOpIntIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpIntIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpIntIdI" ON public."pipelineStepConnections" USING btree (operation, "operationIntegrationId");
    end if;

    --
    -- Name: pipelineStepConnectionsOpOpIntResIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpIntResIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpIntResIdI" ON public."pipelineStepConnections" USING btree (operation, "operationResourceId");
    end if;

    --
    -- Name: pipelineStepConnectionsOpOpStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpOpStepIdI') then
      CREATE INDEX "pipelineStepConnectionsOpOpStepIdI" ON public."pipelineStepConnections" USING btree (operation, "operationPipelineStepId");
    end if;

    --
    -- Name: pipelineStepConnectionsPipIdPSIdOpOpRIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipIdPSIdOpOpRIdU') then
      CREATE UNIQUE INDEX "pipelineStepConnectionsPipIdPSIdOpOpRIdU" ON public."pipelineStepConnections" USING btree ("pipelineId", "pipelineStepId", operation, "operationResourceId") WHERE "operationResourceId" IS NOT NULL;
    end if;

    --
    -- Name: pipelineStepConnectionsPipIdPSIdOpOpPSIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipIdPSIdOpOpPSIdU') then
      CREATE UNIQUE INDEX "pipelineStepConnectionsPipIdPSIdOpOpPSIdU" ON public."pipelineStepConnections" USING btree ("pipelineId", "pipelineStepId", operation, "operationPipelineStepId") WHERE "operationPipelineStepId" IS NOT NULL;
    end if;

    --
    -- Name: pipelineStepConnectionsPipIdPSIdOpOpIntIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipIdPSIdOpOpIntIdU') then
      CREATE UNIQUE INDEX "pipelineStepConnectionsPipIdPSIdOpOpIntIdU" ON public."pipelineStepConnections" USING btree ("pipelineId", "pipelineStepId", operation, "operationIntegrationId") WHERE "operationIntegrationId" IS NOT NULL;
    end if;

    --
    -- Name: pipelineStepConnectionsPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipelineIdI') then
      CREATE INDEX "pipelineStepConnectionsPipelineIdI" ON public."pipelineStepConnections" USING btree ("pipelineId");
    end if;

    --
    -- Name: pipelineStepConnections_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pipelineId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_pipelineStepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pipelineStepId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pipelineStepId_fkey" FOREIGN KEY ("pipelineStepId") REFERENCES public."pipelineSteps"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_projectId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_operationResourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_operationResourceId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_operationResourceId_fkey" FOREIGN KEY ("operationResourceId") REFERENCES public.resources(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_operationPipelineStepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_operationPipelineStepId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_operationPipelineStepId_fkey" FOREIGN KEY ("operationPipelineStepId") REFERENCES public."pipelineSteps"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_operationIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_operationIntegrationId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_operationIntegrationId_fkey" FOREIGN KEY ("operationIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnections_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineStepConnections_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."pipelineStepConnections"
          ADD CONSTRAINT "pipelineStepConnections_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepConnectionsOpIntIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpIntIdI') then
      CREATE INDEX "pipelineStepConnectionsOpIntIdI" ON public."pipelineStepConnections" USING btree ("operationIntegrationId");
    end if;

    --
    -- Name: pipelineStepConnectionsOpPipelineStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpPipelineStepIdI') then
      CREATE INDEX "pipelineStepConnectionsOpPipelineStepIdI" ON public."pipelineStepConnections" USING btree ("operationPipelineStepId");
    end if;

    --
    -- Name: pipelineStepConnectionsPipelineStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipelineStepIdI') then
      CREATE INDEX "pipelineStepConnectionsPipelineStepIdI" ON public."pipelineStepConnections" USING btree ("pipelineStepId");
    end if;

    --
    -- Name: pipelineStepConnectionsOpResourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsOpResourceIdI') then
      CREATE INDEX "pipelineStepConnectionsOpResourceIdI" ON public."pipelineStepConnections" USING btree ("operationResourceId");
    end if;

    --
    -- Name: pipelineStepConnectionsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineStepConnections' and indexname = 'pipelineStepConnectionsPipelineSourceIdI') then
      CREATE INDEX "pipelineStepConnectionsPipelineSourceIdI" ON public."pipelineStepConnections" USING btree ("pipelineSourceId");
    end if;

  end
$$
