do $$
  begin

    --
    -- Name: pipelineStepletsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteplets' and indexname = 'pipelineStepletsIdU') then
      CREATE UNIQUE INDEX "pipelineStepletsIdU" ON public."pipelineSteplets" USING btree ("id");
    end if;

    --
    -- Name: pipelineStepletsPipelineStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteplets' and indexname = 'pipelineStepletsPipelineStepIdI') then
      CREATE INDEX "pipelineStepletsPipelineStepIdI" ON public."pipelineSteplets" USING btree ("pipelineStepId");
    end if;

    --
    -- Name: pipelineStepletsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteplets' and indexname = 'pipelineStepletsProjectIdI') then
      CREATE INDEX "pipelineStepletsProjectIdI" ON public."pipelineSteplets" USING btree ("projectId");
    end if;

    --
    -- Name: pipelineSteplets_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteplets_pipelineId_fkey') then
      ALTER TABLE ONLY public."pipelineSteplets"
          ADD CONSTRAINT "pipelineSteplets_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteplets_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteplets_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."pipelineSteplets"
          ADD CONSTRAINT "pipelineSteplets_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteplets_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteplets_projectId_fkey') then
      ALTER TABLE ONLY public."pipelineSteplets"
          ADD CONSTRAINT "pipelineSteplets_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteplets_pipelineStepID_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteplets_pipelineStepId_fkey') then
      ALTER TABLE ONLY public."pipelineSteplets"
          ADD CONSTRAINT "pipelineSteplets_pipelineStepId_fkey" FOREIGN KEY ("pipelineStepId") REFERENCES public."pipelineSteps"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;


  end
$$
