do $$
  begin

    --
    -- Name: pipelineStepsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsIdU') then
      CREATE UNIQUE INDEX "pipelineStepsIdU" ON public."pipelineSteps" USING btree ("id");
    end if;

    --
    -- Name: pipelineStepsNameI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsNameI') then
      CREATE INDEX "pipelineStepsNameI" ON public."pipelineSteps" USING btree (name);
    end if;

    --
    -- Name: pipelineStepsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsProjectIdI') then
      CREATE INDEX "pipelineStepsProjectIdI" ON public."pipelineSteps" USING btree ("projectId");
    end if;

    --
    -- Name: pipelineStepsPipelineIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsPipelineIdNameU') then
      CREATE UNIQUE INDEX "pipelineStepsPipelineIdNameU" ON public."pipelineSteps" USING btree ("pipelineId", name);
    end if;

    --
    -- Name: pipelineStepsTypeCodeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsTypeCodeI') then
      CREATE INDEX "pipelineStepsTypeCodeI" ON public."pipelineSteps" USING btree ("typeCode");
    end if;

    --
    -- Name: pipelineSteps_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteps_pipelineId_fkey') then
      ALTER TABLE ONLY public."pipelineSteps"
          ADD CONSTRAINT "pipelineSteps_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteps_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteps_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."pipelineSteps"
          ADD CONSTRAINT "pipelineSteps_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteps_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteps_projectId_fkey') then
      ALTER TABLE ONLY public."pipelineSteps"
          ADD CONSTRAINT "pipelineSteps_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineSteps_typeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'pipelineSteps_typeCode_fkey') then
      ALTER TABLE ONLY public."pipelineSteps"
          ADD CONSTRAINT "pipelineSteps_typeCode_fkey" FOREIGN KEY ("typeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: pipelineStepsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'pipelineSteps' and indexname = 'pipelineStepsPipelineSourceIdI') then
      CREATE INDEX "pipelineStepsPipelineSourceIdI" ON public."pipelineSteps" USING btree ("pipelineSourceId");
    end if;

  end
$$
