do $$
  begin

    --
    -- Name: projectIntegrationsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projectIntegrations' and indexname = 'projectIntegrationsIdU') then
      CREATE UNIQUE INDEX "projectIntegrationsIdU" ON public."projectIntegrations" USING btree (id);
    end if;

    --
    -- Name: projectIntegrationsProjectIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projectIntegrations' and indexname = 'projectIntegrationsProjectIdNameU') then
      CREATE UNIQUE INDEX "projectIntegrationsProjectIdNameU" ON public."projectIntegrations" USING btree ("projectId", name);
    end if;

    --
    -- Name: projectIntegrations_masterIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectIntegrations_masterIntegrationId_fkey') then
      ALTER TABLE ONLY public."projectIntegrations"
          ADD CONSTRAINT "projectIntegrations_masterIntegrationId_fkey" FOREIGN KEY ("masterIntegrationId") REFERENCES public."masterIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectIntegrations_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectIntegrations_projectId_fkey') then
      ALTER TABLE ONLY public."projectIntegrations"
          ADD CONSTRAINT "projectIntegrations_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectIntegrations_providerId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectIntegrations_providerId_fkey') then
      ALTER TABLE ONLY public."projectIntegrations"
          ADD CONSTRAINT "projectIntegrations_providerId_fkey" FOREIGN KEY ("providerId") REFERENCES public.providers(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectIntegrations_createdBy_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectIntegrations_createdBy_fkey') then
      ALTER TABLE ONLY public."projectIntegrations"
          ADD CONSTRAINT "projectIntegrations_createdBy_fkey" FOREIGN KEY ("createdBy") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectIntegrations_updatedBy_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectIntegrations_updatedBy_fkey') then
      ALTER TABLE ONLY public."projectIntegrations"
          ADD CONSTRAINT "projectIntegrations_updatedBy_fkey" FOREIGN KEY ("updatedBy") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
