do $$
  begin

    --
    -- Name: projectPermsIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projectPermissions' and indexname = 'projectPermsIdI') then
      CREATE UNIQUE INDEX "projectPermsIdI" ON public."projectPermissions" USING btree (id);
    end if;

    --
    -- Name: projectPermsIdentityIdProjectIdRoleCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projectPermissions' and indexname = 'projectPermsIdentityIdProjectIdRoleCodeU') then
      CREATE UNIQUE INDEX "projectPermsIdentityIdProjectIdRoleCodeU" ON public."projectPermissions" USING btree ("identityId", "projectId", "roleCode");
    end if;

    --
    -- Name: projectPermsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projectPermissions' and indexname = 'projectPermsProjectIdI') then
      CREATE INDEX "projectPermsProjectIdI" ON public."projectPermissions" USING btree ("projectId");
    end if;

    --
    -- Name: projectPermissions_identityId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectPermissions_identityId_fkey') then
      ALTER TABLE ONLY public."projectPermissions"
          ADD CONSTRAINT "projectPermissions_identityId_fkey" FOREIGN KEY ("identityId") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectPermissions_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectPermissions_projectId_fkey') then
      ALTER TABLE ONLY public."projectPermissions"
          ADD CONSTRAINT "projectPermissions_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: projectPermissions_roleCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projectPermissions_roleCode_fkey') then
      ALTER TABLE ONLY public."projectPermissions"
          ADD CONSTRAINT "projectPermissions_roleCode_fkey" FOREIGN KEY ("roleCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
