do $$
  begin

    --
    -- Name: projectsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projects' and indexname = 'projectsIdU') then
      CREATE UNIQUE INDEX "projectsIdU" ON public.projects USING btree (id);
    end if;

    --
    -- Name: projectsSourceIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'projects' and indexname = 'projectsSourceIdU') then
      CREATE UNIQUE INDEX "projectsSourceIdU" ON public.projects USING btree ("sourceId");
    end if;

    --
    -- Name: projects_providerId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'projects_providerId_fkey') then
      ALTER TABLE ONLY public.projects
          ADD CONSTRAINT "projects_providerId_fkey" FOREIGN KEY ("providerId") REFERENCES public.providers(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
