do $$
  begin

    --
    -- Name: resourceVersionsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsIdU') then
      CREATE UNIQUE INDEX "resourceVersionsIdU" ON public."resourceVersions" USING btree (id);
    end if;

    --
    -- Name: resourceVersionsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsProjectIdI') then
      CREATE INDEX "resourceVersionsProjectIdI" ON public."resourceVersions" USING btree ("projectId");
    end if;

    --
    -- Name: resourceVersionsResourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsResourceIdI') then
      CREATE INDEX "resourceVersionsResourceIdI" ON public."resourceVersions" USING btree ("resourceId");
    end if;

    --
    -- Name: resourceVersionsCreatedByStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsCreatedByStepIdI') then
      CREATE INDEX "resourceVersionsCreatedByStepIdI" ON public."resourceVersions" USING btree ("createdByStepId");
    end if;

    --
    -- Name: resourceVersionsCreatedByRunIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsCreatedByRunIdI') then
      CREATE INDEX "resourceVersionsCreatedByRunIdI" ON public."resourceVersions" USING btree ("createdByRunId");
    end if;

    --
    -- Name: resourceVersions_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resourceVersions_projectId_fkey') then
      ALTER TABLE ONLY public."resourceVersions"
          ADD CONSTRAINT "resourceVersions_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resourceVersions_resourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resourceVersions_resourceId_fkey') then
      ALTER TABLE ONLY public."resourceVersions"
          ADD CONSTRAINT "resourceVersions_resourceId_fkey" FOREIGN KEY ("resourceId") REFERENCES public.resources(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resourceVersions_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resourceVersions_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."resourceVersions"
          ADD CONSTRAINT "resourceVersions_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resourceVersionsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resourceVersions' and indexname = 'resourceVersionsPipelineSourceIdI') then
      CREATE INDEX "resourceVersionsPipelineSourceIdI" ON public."resourceVersions" USING btree ("pipelineSourceId");
    end if;

  end
$$
