do $$
  begin

    --
    -- Name: routeRolesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'routeRoles' and indexname = 'routeRolesIdU') then
      CREATE UNIQUE INDEX "routeRolesIdU" ON public."routeRoles" USING btree ("id");
    end if;

    --
    -- Name: routeRolesRoutePatternHttpVerbRoleCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'routeRoles' and indexname = 'routeRolesRoutePatternHttpVerbRoleCodeU') then
      CREATE UNIQUE INDEX "routeRolesRoutePatternHttpVerbRoleCodeU" ON public."routeRoles" USING btree ("routePattern", "httpVerb", "roleCode");
    end if;

    --
    -- Name: routeRoles_roleCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'routeRoles_roleCode_fkey') then
      ALTER TABLE ONLY public."routeRoles"
          ADD CONSTRAINT "routeRoles_roleCode_fkey" FOREIGN KEY ("roleCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
