do $$
  begin

    --
    -- Name: runResourceVersionsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsIdU') then
      CREATE UNIQUE INDEX "runResourceVersionsIdU" ON public."runResourceVersions" USING btree (id);
    end if;

    --
    -- Name: runResourceVersionsPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsPipelineIdI') then
      CREATE INDEX "runResourceVersionsPipelineIdI" ON public."runResourceVersions" USING btree ("pipelineId");
    end if;

    --
    -- Name: runResourceVersionsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsProjectIdI') then
      CREATE INDEX "runResourceVersionsProjectIdI" ON public."runResourceVersions" USING btree ("projectId");
    end if;

    --
    -- Name: runResourceVersionsRunIdStepIdResVersIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsRunIdStepIdResVersIdU') then
      CREATE UNIQUE INDEX "runResourceVersionsRunIdStepIdResVersIdU" ON public."runResourceVersions" USING btree ("runId", "stepId", "resourceVersionId");
    end if;

    --
    -- Name: runResourceVersions_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runResourceVersions_projectId_fkey') then
      ALTER TABLE ONLY public."runResourceVersions"
          ADD CONSTRAINT "runResourceVersions_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runResourceVersions_runId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runResourceVersions_runId_fkey') then
      ALTER TABLE ONLY public."runResourceVersions"
          ADD CONSTRAINT "runResourceVersions_runId_fkey" FOREIGN KEY ("runId") REFERENCES public.runs(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runResourceVersions_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runResourceVersions_stepId_fkey') then
      ALTER TABLE ONLY public."runResourceVersions"
          ADD CONSTRAINT "runResourceVersions_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runResourceVersions_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runResourceVersions_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."runResourceVersions"
          ADD CONSTRAINT "runResourceVersions_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runResourceVersionsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsPipelineSourceIdI') then
      CREATE INDEX "runResourceVersionsPipelineSourceIdI" ON public."runResourceVersions" USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: runResourceVersionsStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runResourceVersions' and indexname = 'runResourceVersionsStepIdI') then
      CREATE INDEX "runResourceVersionsStepIdI" ON public."runResourceVersions" USING btree ("stepId");
    end if;

  end
$$
