do $$
  begin

    --
    -- Name: stepArtifactsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepArtifacts' and indexname = 'stepArtifactsIdU') then
      CREATE UNIQUE INDEX "stepArtifactsIdU" ON public."stepArtifacts" USING btree ("id");
    end if;

    --
    -- Name: stepArtifactsPathTypeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepArtifacts' and indexname = 'stepArtifactsPathTypeU') then
      CREATE UNIQUE INDEX "stepArtifactsPathTypeU" ON public."stepArtifacts" USING btree ("artifactPath", "artifactType");
    end if;

    --
    -- Name: stepArtifactsStepIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepArtifacts' and indexname = 'stepArtifactsStepIdI') then
      CREATE INDEX "stepArtifactsStepIdI" ON public."stepArtifacts" USING btree ("stepId");
    end if;

    --
    -- Name: stepArtifacts_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepArtifacts_stepId_fkey') then
      ALTER TABLE ONLY public."stepArtifacts"
          ADD CONSTRAINT "stepArtifacts_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepArtifacts_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepArtifacts_pipelineId_fkey') then
      ALTER TABLE ONLY public."stepArtifacts"
          ADD CONSTRAINT "stepArtifacts_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepArtifacts_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepArtifacts_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."stepArtifacts"
          ADD CONSTRAINT "stepArtifacts_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepArtifacts_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepArtifacts_projectId_fkey') then
      ALTER TABLE ONLY public.runs
          ADD CONSTRAINT "stepArtifacts_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
