do $$
  begin

    --
    -- Name: stepTestReportIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepTestReports' and indexname = 'stepTestReportIdU') then
      CREATE UNIQUE INDEX "stepTestReportIdU" ON public."stepTestReports" USING btree (id);
    end if;

    --
    -- Name: stepTestReportProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepTestReports' and indexname = 'stepTestReportProjectIdI') then
      CREATE INDEX "stepTestReportProjectIdI" ON public."stepTestReports" USING btree ("projectId");
    end if;

    --
    -- Name: stepTestReportStepIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepTestReports' and indexname = 'stepTestReportStepIdU') then
      CREATE UNIQUE INDEX "stepTestReportStepIdU" ON public."stepTestReports" USING btree ("stepId");
    end if;

    --
    -- Name: stepTestReports_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepTestReports_projectId_fkey') then
      ALTER TABLE ONLY public."stepTestReports"
          ADD CONSTRAINT "stepTestReports_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepTestReports_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepTestReports_stepId_fkey') then
      ALTER TABLE ONLY public."stepTestReports"
          ADD CONSTRAINT "stepTestReports_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepTestReports_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepTestReports_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."stepTestReports"
          ADD CONSTRAINT "stepTestReports_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
