do $$
  begin

    --
    -- Name: stepVariablesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesIdU') then
      CREATE UNIQUE INDEX "stepVariablesIdU" ON public."stepVariables" USING btree (id);
    end if;

    --
    -- Name: stepVariablesStepletIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesStepletIdU') then
      CREATE UNIQUE INDEX "stepVariablesStepletIdU" ON public."stepVariables" USING btree ("stepletId");
    end if;

    --
    -- Name: stepVariablesProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesProjectIdI') then
      CREATE INDEX "stepVariablesProjectIdI" ON public."stepVariables" USING btree ("projectId");
    end if;

    --
    -- Name: stepVariablesStepIdStepletIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesStepIdStepletIdI') then
      CREATE INDEX "stepVariablesStepIdStepletIdI" ON public."stepVariables" USING btree ("stepId","stepletId");
    end if;

    --
    -- Name: stepVariablesPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesPipelineSourceIdI') then
      CREATE INDEX "stepVariablesPipelineSourceIdI" ON public."stepVariables" USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: stepVariablesPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesPipelineIdI') then
      CREATE INDEX "stepVariablesPipelineIdI" ON public."stepVariables" USING btree ("pipelineId");
    end if;

    --
    -- Name: stepVariablesRunIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepVariables' and indexname = 'stepVariablesRunIdI') then
      CREATE INDEX "stepVariablesRunIdI" ON public."stepVariables" USING btree ("runId");
    end if;

    --
    -- Name: stepVariables_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepVariables_projectId_fkey') then
      ALTER TABLE ONLY public."stepVariables"
          ADD CONSTRAINT "stepVariables_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepVariables_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepVariables_stepId_fkey') then
      ALTER TABLE ONLY public."stepVariables"
          ADD CONSTRAINT "stepVariables_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;


    --
    -- Name: stepVariables_stepletId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepVariables_stepletId_fkey') then
      ALTER TABLE ONLY public."stepVariables"
          ADD CONSTRAINT "stepVariables_stepletId_fkey" FOREIGN KEY ("stepletId") REFERENCES public.steplets(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepVariables_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepVariables_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."stepVariables"
          ADD CONSTRAINT "stepVariables_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
