do $$
  begin

    --
    -- Name: stepletIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletConsoles' and indexname = 'stepletIdI') then
      CREATE INDEX "stepletIdI" ON public."stepletConsoles" USING btree ("stepletId");
    end if;

    --
    -- Name: stageStepletIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletConsoles' and indexname = 'stageStepletIdI') then
      CREATE INDEX "stageStepletIdI" ON public."stepletConsoles" USING btree ("stage", "stepletId");
    end if;

    --
    -- Name: stepletConsolesPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletConsoles' and indexname = 'stepletConsolesPipelineIdI') then
      CREATE INDEX "stepletConsolesPipelineIdI" ON public."stepletConsoles" USING btree ("pipelineId");
    end if;

    --
    -- Name: stepletConsolesConsoleIdI; Type: INDEX; Schema: public;
    --

    if (select relpersistence from pg_class c join pg_namespace n on n.oid = c.relnamespace where n.nspname = 'public' and c.relname = 'stepletConsoles') = 'p'  then
      ALTER TABLE "stepletConsoles" SET UNLOGGED;
    end if;

  end
$$
