do $$
  begin

    --
    -- Name: stepletTestReportIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletTestReports' and indexname = 'stepletTestReportIdU') then
      CREATE UNIQUE INDEX "stepletTestReportIdU" ON public."stepletTestReports" USING btree (id);
    end if;

    --
    -- Name: stepletTestReportProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletTestReports' and indexname = 'stepletTestReportProjectIdI') then
      CREATE INDEX "stepletTestReportProjectIdI" ON public."stepletTestReports" USING btree ("projectId");
    end if;

    --
    -- Name: stepletTestReportStepIdStepletIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'stepletTestReports' and indexname = 'stepletTestReportStepIdStepletIdU') then
      CREATE UNIQUE INDEX "stepletTestReportStepIdStepletIdU" ON public."stepletTestReports" USING btree ("stepId","stepletId");
    end if;

    --
    -- Name: stepletTestReports_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepletTestReports_projectId_fkey') then
      ALTER TABLE ONLY public."stepletTestReports"
          ADD CONSTRAINT "stepletTestReports_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepletTestReports_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepletTestReports_stepId_fkey') then
      ALTER TABLE ONLY public."stepletTestReports"
          ADD CONSTRAINT "stepletTestReports_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;


    --
    -- Name: stepletTestReports_stepletId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepletTestReports_stepletId_fkey') then
      ALTER TABLE ONLY public."stepletTestReports"
          ADD CONSTRAINT "stepletTestReports_stepletId_fkey" FOREIGN KEY ("stepletId") REFERENCES public.steplets(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: stepletTestReports_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'stepletTestReports_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public."stepletTestReports"
          ADD CONSTRAINT "stepletTestReports_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
