do $$
  begin

    --
    -- Name: stepletIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletIdU') then
      CREATE UNIQUE INDEX "stepletIdU" ON public.steplets USING btree (id);
    end if;

    --
    -- Name: stepletProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletProjectIdI') then
      CREATE INDEX "stepletProjectIdI" ON public.steplets USING btree ("projectId");
    end if;

    --
    -- Name: stepletStatusCodeI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletStatusCodeI') then
      CREATE INDEX "stepletStatusCodeI" ON public.steplets USING btree ("statusCode");
    end if;

    --
    -- Name: stepletStepIdStepletNumberU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletStepIdStepletNumberU') then
      CREATE UNIQUE INDEX "stepletStepIdStepletNumberU" ON public.steplets USING btree ("stepId", "stepletNumber");
    end if;

    --
    -- Name: stepletsPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletsPipelineIdI') then
      CREATE INDEX "stepletsPipelineIdI" ON public.steplets USING btree ("pipelineId");
    end if;

    --
    -- Name: stepletsPipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletsPipelineSourceIdI') then
      CREATE INDEX "stepletsPipelineSourceIdI" ON public.steplets USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: stepletsEndedAtI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'steplets' and indexname = 'stepletsEndedAtI') then
      CREATE INDEX "stepletsEndedAtI" ON public.steplets USING btree ("endedAt");
    end if;

    --
    -- Name: steplets_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'steplets_projectId_fkey') then
      ALTER TABLE ONLY public.steplets
          ADD CONSTRAINT "steplets_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: steplets_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'steplets_statusCode_fkey') then
      ALTER TABLE ONLY public.steplets
          ADD CONSTRAINT "steplets_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: steplets_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'steplets_stepId_fkey') then
      ALTER TABLE ONLY public.steplets
          ADD CONSTRAINT "steplets_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: steplets_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'steplets_pipelineId_fkey') then
      ALTER TABLE ONLY public.steplets
          ADD CONSTRAINT "steplets_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
