do $$
  begin

    --
    -- Name: systemCodeCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemCodes' and indexname = 'systemCodeCodeU') then
      CREATE UNIQUE INDEX "systemCodeCodeU" ON public."systemCodes" USING btree (code);
    end if;

    --
    -- Name: systemCodeGroupI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemCodes' and indexname = 'systemCodeGroupI') then
      CREATE INDEX "systemCodeGroupI" ON public."systemCodes" USING btree ("group");
    end if;

    --
    -- Name: systemCodeGroupNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemCodes' and indexname = 'systemCodeGroupNameU') then
      CREATE UNIQUE INDEX "systemCodeGroupNameU" ON public."systemCodes" USING btree ("group", name);
    end if;

  end
$$
