do $$
  begin
    --
    -- Name: systemServiceInstancesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemServiceInstances' and indexname = 'systemServiceInstancesIdU') then
      CREATE UNIQUE INDEX "systemServiceInstancesIdU" ON public."systemServiceInstances" USING btree (id);
    end if;

    --
    -- Name: sysServInstSysServIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemServiceInstances' and indexname = 'sysServInstSysServIdI') then
      CREATE INDEX "sysServInstSysServIdI" ON public."systemServiceInstances" USING btree ("systemServiceId");
    end if;

    --
    -- Name: sysServInstPipNodIdInstIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemServiceInstances' and indexname = 'sysServInstPipNodIdInstIdU') then
      CREATE UNIQUE INDEX "sysServInstPipNodIdInstIdU" ON public."systemServiceInstances" USING btree ("pipelinesNodeId", "instanceId");
    end if;

    --
    -- Name: systemServiceInstances_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemServiceInstances_statusCode_fkey') then
      ALTER TABLE ONLY public."systemServiceInstances"
          ADD CONSTRAINT "systemServiceInstances_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
