do $$
  begin
    --
    -- Name: systemServicesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemServices' and indexname = 'systemServicesIdU') then
      CREATE UNIQUE INDEX "systemServicesIdU" ON public."systemServices" USING btree (id);
    end if;

    --
    -- Name: systemServices_desiredStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemServices_desiredStatusCode_fkey') then
      ALTER TABLE ONLY public."systemServices"
        ADD CONSTRAINT "systemServices_desiredStatusCode_fkey" FOREIGN KEY ("desiredStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
