do $$
  begin

    --
    -- Name: templateSourcesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templateSources' and indexname = 'templateSourcesIdU') then
      CREATE UNIQUE INDEX "templateSourcesIdU" ON public."templateSources" USING btree (id);
    end if;

    --
    -- Name: templateSourcesRepoNameRepoBranchU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templateSources' and indexname = 'templateSourcesRepoNameRepoBranchU') then
      CREATE UNIQUE INDEX "templateSourcesRepoNameRepoBranchU" ON public."templateSources" USING btree ("repositoryFullName", "repositoryBranch");
    end if;

    --
    -- Name: templateSources_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'templateSources_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public."templateSources"
          ADD CONSTRAINT "templateSources_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: templateSources_lastSyncStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'templateSources_lastSyncStatusCode_fkey') then
      ALTER TABLE ONLY public."templateSources"
        ADD CONSTRAINT "templateSources_lastSyncStatusCode_fkey" FOREIGN KEY ("lastSyncStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
  end
$$
