do $$
  begin

    --
    -- Name: templatesIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templates' and indexname = 'templatesIdU') then
      CREATE UNIQUE INDEX "templatesIdU" ON public."templates" USING btree (id);
    end if;

    --
    -- Name: templatesRepoNameBranchU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templates' and indexname = 'templatesNamespaceNameSyntaxVersionU') then
      CREATE UNIQUE INDEX "templatesNamespaceNameSyntaxVersionU" ON public."templates" USING btree (namespace, name, "syntaxVersion");
    end if;

    --
    -- Name: templates_lastSyncStatusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'templates_lastSyncStatusCode_fkey') then
      ALTER TABLE ONLY public."templates"
        ADD CONSTRAINT "templates_lastSyncStatusCode_fkey" FOREIGN KEY ("lastSyncStatusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
