do $$
  begin

    --
    -- Name: templatesInUseIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseIdU') then
      CREATE UNIQUE INDEX "templatesInUseIdU" ON public."templatesInUse" USING btree (id);
    end if;

    --
    -- Name: templatesInUseFullNamePipelineIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseFullNamePipelineIdU') then
      CREATE UNIQUE INDEX "templatesInUseFullNamePipelineIdU" ON public."templatesInUse" USING btree ("templateName", "templateNamespace", "templateVersion", "pipelineId");
    end if;

    --
    -- Name: templatesInUseTemplateNameI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseTemplateNameI') then
      CREATE INDEX "templatesInUseTemplateNameI" ON public."templatesInUse" USING btree ("templateName");
    end if;

    --
    -- Name: templatesInUseTemplateNamespaceI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseTemplateNamespaceI') then
      CREATE INDEX "templatesInUseTemplateNamespaceI" ON public."templatesInUse" USING btree ("templateNamespace");
    end if;

    --
    -- Name: templatesInUseTemplateVersionI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseTemplateVersionI') then
      CREATE INDEX "templatesInUseTemplateVersionI" ON public."templatesInUse" USING btree ("templateVersion");
    end if;

    --
    -- Name: templatesInUseFullNameI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUseFullNameI') then
      CREATE INDEX "templatesInUseFullNameI" ON public."templatesInUse" USING btree ("templateName", "templateNamespace", "templateVersion");
    end if;

    --
    -- Name: templatesInUsePipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'templatesInUse' and indexname = 'templatesInUsePipelineIdI') then
      CREATE INDEX "templatesInUsePipelineIdI" ON public."templatesInUse" USING btree ("pipelineId");
    end if;

    --
    -- Name: templatesInUse_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'templatesInUse_pipelineId_fkey') then
      ALTER TABLE ONLY public."templatesInUse"
        ADD CONSTRAINT "templatesInUse_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public."pipelines"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
