do $$
  begin

    --
    -- Name: userViewIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'userViews' and indexname = 'userViewIdU') then
      CREATE UNIQUE INDEX "userViewIdU" ON public."userViews" USING btree ("id");
    end if;

    --
    -- Name: userViewProjectKeyUserNameNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'userViews' and indexname = 'userViewProjectKeyUserNameNameU') then
      CREATE UNIQUE INDEX "userViewProjectKeyUserNameNameU" ON public."userViews" USING btree ("projectKey", "userName", "name");
    end if;

    --
    -- Name: userViews_projectKey_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'userViews_projectKey_fkey') then
      ALTER TABLE ONLY public."userViews"
          ADD CONSTRAINT "userViews_projectKey_fkey" FOREIGN KEY ("projectKey") REFERENCES public.projects("sourceId") ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
  end
$$
