do $$
    begin
        --
        -- Name: verificationRecordsIdU; Type: INDEX; Schema: public;
        --
        if not exists (select 1 from pg_indexes where tablename = 'verificationRecords' and indexname = 'verificationRecordsIdU') then
            CREATE UNIQUE INDEX "verificationRecordsIdU" ON public."verificationRecords" USING btree (id);
        end if;

        --
        -- Name: verificationRecords_verifiedBy_fkey; Type: FK CONSTRAINT; Schema: public;
        --
        if not exists (select 1 from pg_constraint where conname = 'verificationRecords_verifiedBy_fkey') then
            ALTER TABLE ONLY public."verificationRecords"
                ADD CONSTRAINT "verificationRecords_verifiedBy_fkey" FOREIGN KEY ("verifiedBy") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
        end if;

        --
        -- Name: verificationRecordIdRecordTypeU; Type: INDEX; Schema: public;
        --
        if not exists (select 1 from pg_indexes where tablename = 'verificationRecords' and indexname = 'verificationRecordIdRecordTypeU') then
            CREATE UNIQUE INDEX "verificationRecordIdRecordTypeU" ON public."verificationRecords" USING btree ("recordId", "recordType");
        end if;
    end
$$