do $$
  begin
    --
    -- Name: webhooksIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'webhooks' and indexname = 'webhooksIdU') then
      CREATE UNIQUE INDEX "webhooksIdU" ON public.webhooks USING btree (id);
    end if;

    --
    -- Name: webhookProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'webhooks' and indexname = 'webhookProjectIdI') then
      CREATE INDEX "webhookProjectIdI" ON public.webhooks USING btree ("projectId");
    end if;

    --
    -- Name: webhookHookIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'webhooks' and indexname = 'webhookHookIdI') then
      CREATE INDEX "webhookHookIdI" ON public.webhooks USING btree ("hookId");
    end if;

    --
    -- Name: webhooks_hookId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'webhooks_hookId_fkey') then
      ALTER TABLE ONLY public.webhooks
        ADD CONSTRAINT "webhooks_hookId_fkey" FOREIGN KEY ("hookId") REFERENCES public."hooks"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: webhooks_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'webhooks_statusCode_fkey') then
      ALTER TABLE ONLY public.webhooks
        ADD CONSTRAINT "webhooks_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: webhooks_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'webhooks_projectId_fkey') then
      ALTER TABLE ONLY public.webhooks
        ADD CONSTRAINT "webhooks_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public."projects"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
