do $$
    begin

        --
        -- Name: workspacesIdU; Type: INDEX; Schema: public;
        --
        if not exists (select 1 from pg_indexes where tablename = 'workspaces' and indexname = 'workspacesIdU') then
            CREATE UNIQUE INDEX "workspacesIdU" ON public."workspaces" USING btree (id);
        end if;

        --
        -- Name: workspaces_createdBy_fkey; Type: FK CONSTRAINT; Schema: public;
        --
        if not exists (select 1 from pg_constraint where conname = 'workspaces_createdBy_fkey') then
            ALTER TABLE ONLY public."workspaces"
                ADD CONSTRAINT "workspaces_createdBy_fkey" FOREIGN KEY ("createdBy") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
        end if;

        --
        -- Name: workspaces_updatedBy_fkey; Type: FK CONSTRAINT; Schema: public;
        --
        if not exists (select 1 from pg_constraint where conname = 'workspaces_updatedBy_fkey') then
            ALTER TABLE ONLY public."workspaces"
                ADD CONSTRAINT "workspaces_updatedBy_fkey" FOREIGN KEY ("updatedBy") REFERENCES public.identities(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
        end if;
    end
$$