--
-- Name: artifactEvents; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."artifactEvents" (
    id integer NOT NULL,
    "artifactResourceId" integer not null,
    "resourceId" integer not null,
    "pipelineSourceId" integer not null,
    "code" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: artifactEvents_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."artifactEvents_id_seq"
  START WITH 1
  INCREMENT BY 1
  NO MINVALUE
  NO MAXVALUE
  CACHE 1
  OWNED BY public."artifactEvents".id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'artifactEvents' and column_name='id' and column_default='nextval(''"artifactEvents_id_seq"''::regclass)'
    ) then
      -- Name: artifactEvents_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
    ALTER TABLE ONLY public."artifactEvents" ALTER COLUMN id SET DEFAULT nextval('public."artifactEvents_id_seq"'::regclass);
    end if;
  end
$$
