--
-- Name: artifactResources; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."artifactResources" (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "resourceId" integer not null,
    "hookId" integer not null,
    "typeCode" integer NOT NULL,
    "projectIntegrationId" integer not null,
    "latestResourceVersionId" bigint,
    "projectId" integer NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "pipelineSourceBranch" character varying(255),
    "isDeleted" boolean DEFAULT false NOT NULL,
    "deletedAt" timestamp with time zone,
    "isConsistent" boolean DEFAULT false NOT NULL,
    "systemPropertyBag" text,
    yml text,
    "syntaxVersion" character varying(10),
    "repositories" character varying(255)[],
    "pathIncludePattern" character varying(255)[],
    "pathExcludePattern" character varying(255)[],
    "branchIncludePattern" text,
    "branchExcludePattern" text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: artifactResources_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."artifactResources_id_seq"
  START WITH 1
  INCREMENT BY 1
  NO MINVALUE
  NO MAXVALUE
  CACHE 1
  OWNED BY public."artifactResources".id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'artifactResources' and column_name='id' and column_default='nextval(''"artifactResources_id_seq"''::regclass)'
    ) then
      -- Name: artifactResources_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
    ALTER TABLE ONLY public."artifactResources" ALTER COLUMN id SET DEFAULT nextval('public."artifactResources_id_seq"'::regclass);
    end if;

    -- alter datatype of typeCode column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'artifactResources' and column_name = 'typeCode' and data_type = 'smallint') then
        ALTER TABLE "artifactResources" ALTER COLUMN "typeCode" TYPE integer;
    end if;
  end
$$
