--
-- Name: "buildPlaneMessages"; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."buildPlaneMessages" (
    id bigint NOT NULL,
    "payload" text NOT NULL,
    "projectId" integer NOT NULL,
    "pipelineId" integer NOT NULL,
    "runId" bigint NOT NULL,
    "nodePoolId" integer NOT NULL,
    "nodeId" integer,
    "statusCode" smallint,
    "priority" integer,
    "startedAt" timestamp with time zone,
    "triggeredAt" timestamp with time zone,
    "queuedAt" timestamp with time zone,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

--
-- Name: "buildPlaneMessages"_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."buildPlaneMessages_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."buildPlaneMessages".id;


do $$
  begin

    -- add statusCode column to buildPlaneMessages table
    if not exists (select 1 from information_schema.columns where table_name = 'buildPlaneMessages' and column_name = 'statusCode') then
        ALTER TABLE "buildPlaneMessages" ADD COLUMN "statusCode" smallint;
    end if;

    -- add priority column to buildPlaneMessages table
    if not exists (select 1 from information_schema.columns where table_name = 'buildPlaneMessages' and column_name = 'priority') then
        ALTER TABLE "buildPlaneMessages" ADD COLUMN "priority" integer;
    end if;

    -- add startedAt column to buildPlaneMessages table
    if not exists (select 1 from information_schema.columns where table_name = 'buildPlaneMessages' and column_name = 'startedAt') then
        ALTER TABLE "buildPlaneMessages" ADD COLUMN "startedAt" timestamp with time zone;
    end if;

    -- add triggeredAt column to buildPlaneMessages table
    if not exists (select 1 from information_schema.columns where table_name = 'buildPlaneMessages' and column_name = 'triggeredAt') then
        ALTER TABLE "buildPlaneMessages" ADD COLUMN "triggeredAt" timestamp with time zone;
    end if;

    -- add runtime column to buildPlaneMessages table
    if not exists (select 1 from information_schema.columns where table_name = 'buildPlaneMessages' and column_name = 'runtime') then
        ALTER TABLE "buildPlaneMessages" ADD COLUMN "runtime" text;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'buildPlaneMessages' and column_name='id' and column_default='nextval(''"buildPlaneMessages_id_seq"''::regclass)'
    ) then
      -- Name: buildPlaneMessages_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."buildPlaneMessages" ALTER COLUMN id SET DEFAULT nextval('public."buildPlaneMessages_id_seq"'::regclass);
    end if;

  end
$$
