--
-- Name: "deployKeys"; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."deployKeys"
(
  id                     bigint                   NOT NULL,
  "projectIntegrationId" integer                  NOT NULL,
  "projectId"            integer                  NOT NULL,
  "gitRepoFullName"      character varying(255)   NOT NULL,
  "externalId"           character varying(255)   NOT NULL,
  "privateKey"           text                     NOT NULL,
  "publicKey"            text                     NOT NULL,
  "createdAt"            timestamp with time zone NOT NULL,
  "updatedAt"            timestamp with time zone NOT NULL
);

--
-- Name: deployKeys_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."deployKeys_id_seq"
  START WITH 1
  INCREMENT BY 1
  NO MINVALUE
  NO MAXVALUE
  CACHE 1
  OWNED BY public."deployKeys".id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'deployKeys' and column_name='id' and column_default='nextval(''"deployKeys_id_seq"''::regclass)'
    ) then
      -- Name: deployKeys_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
    ALTER TABLE ONLY public."deployKeys" ALTER COLUMN id SET DEFAULT nextval('public."deployKeys_id_seq"'::regclass);
    end if;
  end
$$
