--
-- Name: identityRoles; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."identityRoles" (
    id integer NOT NULL,
    "identityId" integer NOT NULL,
    "roleCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: identityRoles_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."identityRoles_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."identityRoles".id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'identityRoles' and column_name='id' and column_default='nextval(''"identityRoles_id_seq"''::regclass)'
    ) then
      -- Name: identityRoles_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
    ALTER TABLE ONLY public."identityRoles" ALTER COLUMN id SET DEFAULT nextval('public."identityRoles_id_seq"'::regclass);
    end if;
  end
$$
