--
-- Name: locks; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.locks (
    id character varying(36) NOT NULL,
    name character varying(64) NOT NULL,
    "systemServiceInstanceId" integer NOT NULL,
    "timeoutAt" timestamp with time zone NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

do $$
  begin
    -- alter datatype of systemServiceInstanceId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'locks' and column_name = 'systemServiceInstanceId' and data_type = 'smallint') then
      ALTER TABLE "locks" ALTER COLUMN "systemServiceInstanceId" TYPE integer;
    end if;
  end
$$
