--
-- Name: "microPipelineEvents"; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."microPipelineEvents" (
    id bigint NOT NULL,
    "eventType" character varying(127) NOT NULL,
    "domain" character varying(16) NOT NULL,
    "data" text,
    "statusCode" smallint NOT NULL,
    "startedAt" timestamp with time zone,
    "endedAt" timestamp with time zone,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

--
-- Name: "microPipelineEvents"_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."microPipelineEvents_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."microPipelineEvents".id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'microPipelineEvents' and column_name='id' and column_default='nextval(''"microPipelineEvents_id_seq"''::regclass)'
    ) then
      -- Name: microPipelineEvents_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."microPipelineEvents" ALTER COLUMN id SET DEFAULT nextval('public."microPipelineEvents_id_seq"'::regclass);
    end if;
  end
$$
