--
-- Name: nodeConsoles; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."nodeConsoles" (
    "nodeId" integer NOT NULL,
    "projectId" integer,
    "consoleId" character varying(255) NOT NULL,
    "parentConsoleId" character varying(255) NOT NULL,
    type character varying(25) NOT NULL,
    message text NOT NULL,
    "timestamp" bigint NOT NULL,
    "timestampEndedAt" bigint,
    "isSuccess" boolean,
    "isShown" boolean,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

do $$
  begin
    -- alter datatype of nodeId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'nodeConsoles' and column_name = 'nodeId' and data_type = 'smallint') then
      ALTER TABLE "nodeConsoles" ALTER COLUMN "nodeId" TYPE integer;
    end if;

    -- alter datatype of projectId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'nodeConsoles' and column_name = 'projectId' and data_type = 'smallint') then
      ALTER TABLE "nodeConsoles" ALTER COLUMN "projectId" TYPE integer;
    end if;
  end
$$
