--
-- Name: pipelineStepConnections; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."pipelineStepConnections" (
    id bigint NOT NULL,
    "pipelineStepId" integer NOT NULL,
    operation character varying(255) NOT NULL,
    "operationResourceId" integer,
    "operationResourceName" character varying(255),
    "operationPipelineStepId" integer,
    "operationPipelineStepName" character varying(255),
    "operationIntegrationId" integer,
    "operationIntegrationName" character varying(255),
    "projectId" integer NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "pipelineId" integer NOT NULL,
    "isTrigger" boolean DEFAULT false NOT NULL,
    "isPipelineConnection" boolean,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: pipelineStepConnections_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."pipelineStepConnections_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."pipelineStepConnections".id;


do $$
  begin

    -- alter datatype of projectId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'pipelineStepConnections' and column_name = 'projectId' and data_type = 'smallint') then
      ALTER TABLE "pipelineStepConnections" ALTER COLUMN "projectId" TYPE integer;
    end if;

    -- add isPipelineConnection column to pipelineStepConnections table
    if not exists (select 1 from information_schema.columns where table_name = 'pipelineStepConnections' and column_name = 'isPipelineConnection') then
      ALTER TABLE "pipelineStepConnections" ADD COLUMN "isPipelineConnection" BOOLEAN;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'pipelineStepConnections' and column_name='id' and column_default='nextval(''"pipelineStepConnections_id_seq"''::regclass)'
    ) then
      -- Name: pipelineStepConnections_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."pipelineStepConnections" ALTER COLUMN id SET DEFAULT nextval('public."pipelineStepConnections_id_seq"'::regclass);
    end if;

  end
$$
