--
-- Name: projectPermissions; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."projectPermissions" (
    id integer NOT NULL,
    "identityId" integer NOT NULL,
    "projectId" integer NOT NULL,
    "roleCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: projectPermissions_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."projectPermissions_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."projectPermissions".id;


do $$
  begin

    -- alter datatype of projectId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'projectPermissions' and column_name = 'projectId' and data_type = 'smallint') then
      ALTER TABLE "projectPermissions" ALTER COLUMN "projectId" TYPE integer;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'projectPermissions' and column_name='id' and column_default='nextval(''"projectPermissions_id_seq"''::regclass)'
    ) then
      -- Name: projectPermissions_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."projectPermissions" ALTER COLUMN id SET DEFAULT nextval('public."projectPermissions_id_seq"'::regclass);
    end if;

  end
$$
