--
-- Name: projects; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.projects (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "sourceId" character varying(255) NOT NULL,
    "providerId" integer NOT NULL,
    "systemPropertyBag" text,
    "configPropertyBag" text,
    "isOrphaned" boolean DEFAULT false,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: projects_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.projects_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public.projects.id;


do $$
  begin

    -- alter datatype of id column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'projects' and column_name = 'id' and data_type = 'smallint') then
      ALTER TABLE "projects" ALTER COLUMN id TYPE integer;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'projects' and column_name='id' and column_default='nextval(''projects_id_seq''::regclass)'
    ) then
      -- Name: projects_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public.projects ALTER COLUMN id SET DEFAULT nextval('public.projects_id_seq'::regclass);
    end if;

  end
$$
