--
-- Name: providers; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.providers (
    id integer NOT NULL,
    url text NOT NULL,
    name character varying(255) NOT NULL,
    "urlSlug" character varying(255) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: providers_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.providers_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public.providers.id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'providers' and column_name='id' and column_default='nextval(''providers_id_seq''::regclass)'
    ) then
      -- Name: providers_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public.providers ALTER COLUMN id SET DEFAULT nextval('public.providers_id_seq'::regclass);
    end if;
  end
$$
