--
-- Name: runAdjacencyList; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."runAdjacency" (
    id bigserial primary key,
    "pipelineId" integer NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "projectId" integer NOT NULL,
    "runId" bigint NOT NULL,
    "stepId" bigint NOT NULL,
    "stepletId" bigint NOT NULL,
    "dependentEntityId" bigint NOT NULL,
    "dependentEntityType" smallint NOT NULL,
    "affinityGroup" character varying(300),
    "isChronologicalStep" boolean,
    "chronologicalPipelineStepId" bigint,
    "isChronologicalRun" boolean,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


do $$
  begin
    -- add isChronologicalStep column
    if not exists (select 1 from information_schema.columns where table_name = 'runAdjacency' and column_name = 'isChronologicalStep') then
      ALTER TABLE ONLY public."runAdjacency" ADD COLUMN "isChronologicalStep" boolean;
    end if;

    -- add isChronologicalRun column
    if not exists (select 1 from information_schema.columns where table_name = 'runAdjacency' and column_name = 'isChronologicalRun') then
      ALTER TABLE ONLY public."runAdjacency" ADD COLUMN "isChronologicalRun" boolean;
    end if;

     -- add chronologicalPipelineStepId column
    if not exists (select 1 from information_schema.columns where table_name = 'runAdjacency' and column_name = 'chronologicalPipelineStepId') then
      ALTER TABLE ONLY public."runAdjacency" ADD COLUMN "chronologicalPipelineStepId" bigint;
    end if;

  end
$$;
