--
-- Name: statistics; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.statistics (
    id integer NOT NULL,
    "date" date NOT NULL,
    "category" character varying(255) NOT NULL,
    "filters" character varying(255) NOT NULL,
    "metric" character varying(255) NOT NULL,
    "value" integer NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: statistics_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.statistics_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public.statistics.id;


-- set id column's default value to the sequence next value
do $$
  begin
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'statistics' and column_name='id' and column_default='nextval(''statistics_id_seq''::regclass)'
    ) then
      -- Name: statistics_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public.statistics ALTER COLUMN id SET DEFAULT nextval('public.statistics_id_seq'::regclass);
    end if;
  end
$$
