--
-- Name: stepConsoles; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."stepConsoles" (
    "consoleId" character varying(255) NOT NULL,
    "isSuccess" boolean,
    "isShown" boolean,
    "parentConsoleId" character varying(255) NOT NULL,
    "stage" character varying(255),
    "pipelineId" integer NOT NULL,
    "stepId" bigint NOT NULL,
    "timestamp" bigint NOT NULL,
    "timestampEndedAt" bigint,
    type character varying(25) NOT NULL,
    message text NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


do $$
  begin

    -- add stage column to stepConsoles table
    if not exists (select 1 from information_schema.columns where table_name = 'stepConsoles' and column_name = 'stage') then
      ALTER TABLE "stepConsoles" ADD COLUMN "stage" character varying(255);
    end if;

  end
$$
