--
-- Name: stepletConsoles; Type: TABLE; Schema: public;
--

CREATE UNLOGGED TABLE IF NOT EXISTS public."stepletConsoles" (
    "consoleId" character varying(255) NOT NULL,
    "isSuccess" boolean,
    "isShown" boolean,
    "parentConsoleId" character varying(255) NOT NULL,
    "stage" character varying(255),
    "stepletId" bigint NOT NULL,
    "pipelineId" integer NOT NULL,
    "timestamp" bigint NOT NULL,
    "timestampEndedAt" bigint,
    type character varying(25) NOT NULL,
    message text NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


do $$
  begin

    -- add stage column to stepletConsoles table
    if not exists (select 1 from information_schema.columns where table_name = 'stepletConsoles' and column_name = 'stage') then
      ALTER TABLE "stepletConsoles" ADD COLUMN "stage" character varying(255);
    end if;
  
  end
$$