--
-- Name: stepletTestReports; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."stepletTestReports" (
    id bigint NOT NULL,
    "projectId" integer NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "stepId" bigint NOT NULL,
    "stepletId" bigint NOT NULL,
    "durationSeconds" integer,
    "errorDetails" text,
    "failureDetails" text,
    "totalTests" integer,
    "totalPassing" integer,
    "totalFailures" integer,
    "totalErrors" integer,
    "totalSkipped" integer,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: stepletTestReports_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."stepletTestReports_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."stepletTestReports".id;


do $$
  begin

    -- alter datatype of projectId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'stepletTestReports' and column_name = 'projectId' and data_type = 'smallint') then
      ALTER TABLE "stepletTestReports" ALTER COLUMN "projectId" TYPE integer;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'stepletTestReports' and column_name='id' and column_default='nextval(''"stepletTestReports_id_seq"''::regclass)'
    ) then
      -- Name: stepletTestReports_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."stepletTestReports" ALTER COLUMN id SET DEFAULT nextval('public."stepletTestReports_id_seq"'::regclass);
    end if;

  end
$$
