--
-- Name: systemServices; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."systemServices" (
    id integer NOT NULL,
    name character varying(24) NOT NULL,
    "desiredStatusCode" smallint NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

--
-- Name: systemServices_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."systemServices_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."systemServices".id;


do $$
  begin
    -- alter datatype of id column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'systemServices' and column_name = 'id' and data_type = 'smallint') then
      ALTER TABLE "systemServices" ALTER COLUMN "id" TYPE integer;
    end if;

    -- set id column's default value to the sequence next value
    if not exists (
      select 1 from information_schema.columns
      where table_name = 'systemServices' and column_name='id' and column_default='nextval(''"systemServices_id_seq"''::regclass)'
    ) then
      -- Name: systemServices_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
      ALTER TABLE ONLY public."systemServices" ALTER COLUMN id SET DEFAULT nextval('public."systemServices_id_seq"'::regclass);
    end if;
  end
$$
