--
-- Name: verificationRecords; Type: TABLE; Schema: public;
--
CREATE TABLE IF NOT EXISTS public."verificationRecords" (
    id integer NOT NULL,
    "recordType" integer NOT NULL,
    "recordId" integer NOT NULL,
    "status" integer NOT NULL,
    "verifiedBy" integer NOT NULL,
    "data" text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

--
-- Name: verificationRecords_id_seq; Type: SEQUENCE; Schema: public;
--
CREATE SEQUENCE IF NOT EXISTS public."verificationRecords_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."verificationRecords".id;

-- set id column's default value to the sequence next value
do $$
    begin
        if not exists (
          select 1 from information_schema.columns
          where table_name = 'verificationRecords' and column_name='id' and column_default='nextval(''"verificationRecords_id_seq"''::regclass)'
        ) then
            -- Name: verificationRecords_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
            ALTER TABLE ONLY public."verificationRecords" ALTER COLUMN id SET DEFAULT nextval('public."verificationRecords_id_seq"'::regclass);
        end if;
    end
$$