--
-- Name: webhooks; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.webhooks (
    id character varying(36) NOT NULL,
    event character varying(24),
    "hookId" integer NOT NULL,
    "projectId" integer NOT NULL,
    "body" text,
    "systemPropertyBag" text,
    "statusCode" smallint NOT NULL,
    "triggeredByResourceId" integer,
    "startedProcessingAt" timestamp with time zone,
    "endedProcessingAt" timestamp with time zone,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

do $$
  begin
    -- alter datatype of projectId column from smallint to integer
    if exists (select 1 from information_schema.columns where table_name = 'webhooks' and column_name = 'projectId' and data_type = 'smallint') then
      ALTER TABLE "webhooks" ALTER COLUMN "projectId" TYPE integer;
    end if;
  end
$$
