--
-- Name: workspaces; Type: TABLE; Schema: public;
--
CREATE TABLE IF NOT EXISTS public."workspaces" (
    id integer NOT NULL,
    "createdBy" integer NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedBy" integer NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);

--
-- Name: workspaces_id_seq; Type: SEQUENCE; Schema: public;
--
CREATE SEQUENCE IF NOT EXISTS public."workspaces_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
    OWNED BY public."workspaces".id;

-- set id column's default value to the sequence next value
do $$
    begin
        if not exists (
          select 1 from information_schema.columns
          where table_name = 'workspaces' and column_name='id' and column_default='nextval(''"workspaces_id_seq"''::regclass)'
        ) then
            -- Name: workspaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
            ALTER TABLE ONLY public."workspaces" ALTER COLUMN id SET DEFAULT nextval('public."workspaces_id_seq"'::regclass);
        end if;
    end
$$