#!/bin/bash

TABLES_PATH=$1

if [ -z "$TABLES_PATH" ]; then
    echo "TABLES_PATH parameters is not passed"
fi

__check_tables_order_list(){
  local missing_files=""
  local file_path=""
  for file in $(cat $TABLES_PATH/order.txt); do
    if [[ "$file" == *".sql" ]]; then
      file_path="$TABLES_PATH/$file"
      [ -f "$file_path" ] || missing_files="$missing_files $file"
    fi
  done
  if [ ! -z  "$missing_files" ]; then
    echo "These file names [ $missing_files ] are added in $TABLES_PATH/order.txt but actual files are missing in $TABLES_PATH"
    exit 1
  fi
}

__check_tables_file_list(){
  local missing_files=""
  local file_path=""
  for file_name in $(cd $TABLES_PATH; ls *.sql); do
    if ! cat "$TABLES_PATH/order.txt" | grep "${file_name}" | grep -v grep 2>&1 >/dev/null; then
      missing_files="$missing_files $file_name"
    fi
  done
  if [ ! -z  "$missing_files" ]; then
    echo "These files [ $missing_files ] are added under $TABLES_PATH but entry is missing in $TABLES_PATH/order.txt"
    exit 1
  fi
}

__check_tables_order_list
__check_tables_file_list