#!/bin/bash
set -e
set -o pipefail

main() {
  if [ -f "$PIPELINES_YAML_CONFIG" ]; then
    local controlplaneVersion=$(yq e ".core.controlplaneVersion" $PIPELINES_YAML_CONFIG)
    if [[ "$controlplaneVersion" == "" || "$controlplaneVersion" == "null" ]]; then
      export PIPELINES_CORE_CONTROLPLANEVERSION="not found"
    else
      export PIPELINES_CORE_CONTROLPLANEVERSION="$controlplaneVersion"
    fi
    local buildplaneVersion=$(yq e ".core.buildplaneVersion" $PIPELINES_YAML_CONFIG)
    if [[ "$buildplaneVersion" == "" || "$buildplaneVersion" == "null" ]]; then
      export PIPELINES_CORE_BUILDPLANEVERSION="not found"
    else
      export PIPELINES_CORE_BUILDPLANEVERSION="$buildplaneVersion"
    fi
  else
    if [ -f "$CONTROLPLANEVERSION_FILE" ]; then
      export PIPELINES_CORE_CONTROLPLANEVERSION=$(cat "$CONTROLPLANEVERSION_FILE")
    else
      export PIPELINES_CORE_CONTROLPLANEVERSION="not found"
    fi
    if [ -f "$BUILDPLANEVERSION_FILE" ]; then
      export PIPELINES_CORE_BUILDPLANEVERSION=$(cat "$BUILDPLANEVERSION_FILE")
    else
      export PIPELINES_CORE_BUILDPLANEVERSION="not found"
    fi
  fi

  log_versions $1
}

main "$@"
