'use strict';

/**
 * Global setup for all api tests.
 *
 * This project uses a lot of explicit global scope for things like application
 * configuration. Those values can be defined in this file, which is run before
 * any unit tests. Ideally this file should not have to exist once this project
 * replaces explicit usage of global scope with module imports.
*/

process.env.LOGS_DIR = '/dev/null';
global.util = require('util');
const log = require('../scripts/lib/logger.js');
const { configLevel } = require('../scripts/lib/logger.js');
configLevel({runMode: 'production'});
global.logger = log;
global.config = {
  containerConfigDir: '',
};
global.ActErr = jest.fn();
