#!/bin/bash


export PACKAGE_TYPE="$1"
export PIPELINES_VERSION="$2"

upgrade_pipelines(){
    if [[ "$PACKAGE_TYPE" == "tar" ]]; then
        sudo jfrog rt dl pipelines-release-installers/installer/pipelines-$PIPELINES_VERSION.tar.gz
        sudo jfrog rt dl pipelines-installers/installer/pipelines-$PIPELINES_VERSION.tar.gz
        pushd installer
        sudo tar -zxvf pipelines-$PIPELINES_VERSION.tar.gz
        pushd pipelines-$PIPELINES_VERSION
        ./pipelines upgrade
    elif [[ "$PACKAGE_TYPE" == "deb" ]]; then
        sudo jfrog rt dl --flat deb-snapshot-local/pool/jfrog-pipelines/pipelines-$PIPELINES_VERSION.deb
        sudo jfrog rt dl --flat deb-release-local/pool/jfrog-pipelines/pipelines-$PIPELINES_VERSION.deb
        sudo dpkg -i pipelines-$PIPELINES_VERSION.deb
        sudo pipelines upgrade
    elif [[ "$PACKAGE_TYPE" == "rpm" ]]; then
        sudo jfrog rt dl yum-release-local/jfrog-pipelines/pipelines-$PIPELINES_VERSION.rpm
        sudo jfrog rt dl yum-snapshot-local/jfrog-pipelines/pipelines-$PIPELINES_VERSION.rpm
        sudo rpm -Uvh pipelines-$PIPELINES_VERSION.rpm
        sudo pipelines upgrade
    fi
}
check_args() {
  if [ -z "$PACKAGE_TYPE" ]; then
    echo "PACKAGE_TYPE is empty"
    echo "Usage: ./upgradePipelines <type of file: tar/deb/rpm> <pipelines-version>"
    echo "Example: ./upgradePipelines tar 0.0.0-m000"
    exit 1
  fi
  if [ -z "$PIPELINES_VERSION" ]; then
    echo "PIPELINES_VERSION is empty"
    echo "Usage: ./upgradePipelines <type of file: tar/deb/rpm> <pipelines-version>"
    echo "Example: ./upgradePipelines tar 0.0.0-m000"
    exit 1
  fi
}

main(){
    check_args
    upgrade_pipelines
}
main